Resolviendo el problema de Packet Tracer 7.1.1 en Linux Mint 18 y 19

Yo estaba con mucha dificultad para hacer que el Packet Tracer funcione en mi Linux Mint. Después de buscar bastante y entrar en varios sitios, encontré una respuesta dada en Ask Ubuntu y en el Tech Otaku que me ayudaron a resolver el problema.

Voy a tomar este post para mostrar cómo resolví mis problemas con Packet Tracer en Linux Mint 18 e 19 (Sarah y Tara).

CONTEXTO

En Linux Mint 18 tuve problemas con esta versión de Packet Tracer. Cuando ejecuta el comando # packettracer aparecía un mensaje diciendo que el programa se estaba cargando, pero nunca abría. Para resolver este problema, basta con instalar el paquete que el profesor Samuel Henrique Bucke Brito indica en los comentarios de esa publicación.

En el Linux Mint 19 he hecho el mismo procedimiento descrito anteriormente y aún así no tuve éxito. Otros problemas surgieron, que sólo se resolvieron siguiendo otros tutoriales, principalmente la respuesta dada por Lucas Almeida a esa pregunta.

MI PROBLEMA

En el Mint 19 el Packet Tracer llega a abrir pero cuando intento expandir la ventana, el programa queda totalmente deforme.

AMBIENTE

S.O: Linux Mint 19 Cinnamon (Tara)
Kernel do Linux: 4.15.0-33-generic
Programa: Cisco Packet Tracer 7.1.1

SOLUCIONANDO EL PROBLEMA

EN EL LINUX MINT 18 (SARAH)

Después de instalar el Packet Tracer en la ruta predeterminada:

/opt/pt/

Tengo que editar el archivo:

/etc/apt/sources.list

agregando la línea:

deb http://security.ubuntu.com/ubuntu trusty-security main

Luego, ejecute los comandos:

sudo apt-get update
sudo apt-get install libicu52

o

wget http://mirrors.kernel.org/ubuntu/pool/main/i/icu/libicu52_52.1-3ubuntu0.8_amd64.deb
sudo dpkg -i libicu52_52.1-3ubuntu0.8_amd64.deb

Y por último reiniciar mi computadora.

EN EL LINUX MINT 19 (TARA)

Tengo que hacer el procedimiento anterior y también Instalar Qt libraries:

sudo apt-get install libqt5webkit5 libqt5multimediawidgets5 libqt5svg5 libqt5script5 libqt5scripttools5 libqt5sql5

Instalar libpng12:

wget http://ftp.debian.org/debian/pool/main/libp/libpng/libpng12-0_1.2.50-2+deb8u3_amd64.deb
sudo dpkg -i libpng12-0_1.2.50-2+deb8u3_amd64.deb

Y por último reiniciar mi computadora.

REFERENCIAS:

  • http://labcisco.blogspot.com/2017/08/lancamento-do-cisco-packet-tracer-71.html
  • https://vlanbr.wordpress.com/2017/09/19/resolvendo-problemas-na-instalacao-do-packet-tracer-7-1-no-debian-9/comment-page-1/#comment-20
  • https://www.tech-otaku.com/linux/getting-cisco-packet-tracer-71-to-run-on-ubuntu-1604-lts/
  • https://askubuntu.com/questions/1035523/packet-tracer-7-on-ubuntu-18-04-cannot-launch/1069009?newreg=c879977f82864bafb9db7de2b8da0b27

 

 

 

 

Deja un comentario